
Redmine - Defect #6458

Mercurial View just a directory browser

2010-09-21 16:28 - Moritz Voss

Status: Closed Start date: 2010-09-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When browsing Mercurial Repositories on my Redmine 1.0.1 with Mercurial 1.6.x, all I get are the directories - no changesets, no file

ages, no authors, no commits.

What's up with that?

 25re69t.png 

Is it a configuration problem on my side (hope it is...), or is it a defect / missing feature?

Related issues:

Is duplicate of Redmine - Defect #3421: Mercurial reads files from working di... Closed 2009-05-26

History

#1 - 2010-09-21 16:33 - Moritz Voss

Maybe this is related: I did have a clone of the repository, i.e. I also created a working set. Removing everything except the .hg folder yields a

repository that has a lot of unopenable files in it.

#2 - 2010-09-21 16:40 - Moritz Voss

Now I can open the files (from a fresh repository), but revision info is still missing.

#3 - 2010-09-21 16:47 - Moritz Voss

I presume it was partially my fault, I had rack 1.2.x instead of 1.0.1, so the fetch_changesets stuff didn't work.

But it fetch_changesets still aborts:

bitnami@vm47:/opt/bitnami/apps/redmine$ sudo rake redmine:fetch_changesets --trace

(in /opt/bitnami/apps/redmine)

** Invoke redmine:fetch_changesets (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

no such file to load -- net/https

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:271:in `require_frameworks'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:134:in `process'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

/opt/bitnami/apps/redmine/config/environment.rb:20

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/opt/bitnami/apps/redmine/vendor/rails/railties/lib/tasks/misc.rake:4

/usr/lib/ruby/1.8/rake.rb:636:in `call'

/usr/lib/ruby/1.8/rake.rb:636:in `execute'

/usr/lib/ruby/1.8/rake.rb:631:in `each'

/usr/lib/ruby/1.8/rake.rb:631:in `execute'

/usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'
/usr/lib/ruby/1.8/rake.rb:604:in `each'

/usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:583:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2029:in `each'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2001:in `run'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/bin/rake:28

bitnami@vm47:/opt/bitnami/apps/redmine$ 

#4 - 2010-09-21 16:53 - Toshi MARUYAMA

Mercurial does not treat directory, So showing directory info is very difficult.

#5 - 2010-09-21 16:58 - Felix Schäfer

IIRC net/https is part of the ruby core libs.

#6 - 2010-09-21 17:00 - Moritz Voss

(I am tracking my progress here like this in case someone bumps into my issue as well)

Installing libopenssl-ruby advances the issue - now I need to install mysql gem, which in turn needs ruby1.8-dev. (gaaah - dependency

resolution is one thing I think ruby needs a lot of work at, but I am admittedly quite the ruby noob).

Then I needed libmysql*-dev.

After installing mysql gem, I am stuck (asking on the Bitnami forums now):

bitnami@vm47:/opt/bitnami/apps/redmine$ sudo rake redmine:fetch_changesets --trace

(in /opt/bitnami/apps/redmine)

** Invoke redmine:fetch_changesets (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

Access denied for user 'bitnami'@'localhost' to database 'redmine_development'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:589

:in `real_connect'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:589

:in `connect'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:203

:in `initialize'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:75:

in `new'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:75:

in `mysql_connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:223:in `send'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:223:in `new_connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:245:in `checkout_new_connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:188:in `checkout'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:184:in `loop'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:184:in `checkout'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:183:in `checkout'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:98:in `connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

pool.rb:326:in `retrieve_connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_
specification.rb:123:in `retrieve_connection'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_

specification.rb:115:in `connection'

/opt/bitnami/apps/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:217:in `quoted_left_colu

mn_name'

/opt/bitnami/apps/redmine/vendor/plugins/awesome_nested_set/lib/awesome_nested_set.rb:93:in `acts_as_nested_se

t'

/opt/bitnami/apps/redmine/app/models/issue.rb:35

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_without_n

ew_constant_marking'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:379:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:259:in `require_or_loa

d_without_engine_additions'

/opt/bitnami/apps/redmine/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_

or_load'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:96:in `const_missing'

/opt/bitnami/apps/redmine/app/models/project.rb:35

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_without_n

ew_constant_marking'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:379:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:259:in `require_or_loa

d_without_engine_additions'

/opt/bitnami/apps/redmine/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_

or_load'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:96:in `const_missing'

/opt/bitnami/apps/redmine/app/models/attachment.rb:36

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_without_n

ew_constant_marking'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:379:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:259:in `require_or_loa

d_without_engine_additions'

/opt/bitnami/apps/redmine/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_

or_load'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:437:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/plugins/acts_as_attachable/lib/acts_as_attachable.rb:33:in `acts_as_attachabl

e'

/opt/bitnami/apps/redmine/app/models/message.rb:22

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_without_n

ew_constant_marking'
/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:380:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:379:in `load_file'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:259:in `require_or_loa

d_without_engine_additions'

/opt/bitnami/apps/redmine/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:132:in `require_

or_load'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:425:in `load_missing_c

onstant'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:80:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:92:in `const_missing'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/inflector.rb:361:in `constantize'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/inflector.rb:360:in `each'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/inflector.rb:360:in `constantize'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/string/inflections.rb:162:in 

`constantize'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:157:in `observed_class'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:183:in `observed_classes'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:166:in `initialize'

/usr/lib/ruby/1.8/singleton.rb:94:in `new'

/usr/lib/ruby/1.8/singleton.rb:94:in `instance'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:38:in `instantiate_observers

'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:36:in `each'

/opt/bitnami/apps/redmine/vendor/rails/activerecord/lib/active_record/observer.rb:36:in `instantiate_observers

'

/opt/bitnami/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:15

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in `call'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:182:in `evaluate_method'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `run'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `each'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `send'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:90:in `run'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'

/opt/bitnami/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:51:in `send'

/opt/bitnami/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:51:in `run_prepare_callb

acks'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:631:in `prepare_dispatcher'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:185:in `process'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `send'

/opt/bitnami/apps/redmine/config/../vendor/rails/railties/lib/initializer.rb:113:in `run'

/opt/bitnami/apps/redmine/config/environment.rb:20

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

/usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:521:in `new_constants_

in'

/opt/bitnami/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.rb:156:in `require'

/opt/bitnami/apps/redmine/vendor/rails/railties/lib/tasks/misc.rake:4

/usr/lib/ruby/1.8/rake.rb:636:in `call'

/usr/lib/ruby/1.8/rake.rb:636:in `execute'

/usr/lib/ruby/1.8/rake.rb:631:in `each'

/usr/lib/ruby/1.8/rake.rb:631:in `execute'

/usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:604:in `each'

/usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:583:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2029:in `each'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2001:in `run'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/bin/rake:28
#7 - 2010-09-21 17:01 - Toshi MARUYAMA

Please see #4455 and try Yuya's MQ.

http://bitbucket.org/yuja/redmine-mq-issue4455

You can see Yuya's MQ running at http://dev.openttdcoop.org/projects/redmine/repository .

#8 - 2010-09-21 17:07 - Moritz Voss

ruby script/runner "Repository.fetch_changesets" -e production

Seems to run. What's the difference between the rake version and this? Very cryptic, Redmine documentation uses either whenever they please.

#9 - 2010-09-21 17:09 - Moritz Voss

Toshi, thanks - I assume their proper changeset view (instead of the brittle revisions) is part of the mercurial overhaul thingy? Or is it available as a

patch?

#10 - 2010-09-21 17:22 - Moritz Voss

Addendum: Also, file sizes and age are still missing from the table. :-/

#11 - 2010-09-21 17:23 - Toshi MARUYAMA

Moritz Voss wrote:

Toshi, thanks - I assume their proper changeset view (instead of the brittle revisions) is part of the mercurial overhaul thingy? Or is it available as

a patch?

 You can clone with following command.

$ hg qclone -U \

  http://bitbucket.org/marutosi/redmine-hgsubversion-1.0-clean \

  -p http://bitbucket.org/yuja/redmine-mq-issue4455/.hg/patches

#12 - 2010-09-21 18:11 - Felix Schäfer

Moritz Voss wrote:

ruby script/runner "Repository.fetch_changesets" -e production

Seems to run. What's the difference between the rake version and this? Very cryptic, Redmine documentation uses either whenever they please.

 When you invoke the rake as is, it will default to the development environment, whereas the runner call you have up there runs in production

environment. The rake script should run by prepending RAILS_ENV=production to it.

#13 - 2010-09-22 16:30 - Moritz Voss

- Status changed from New to Resolved

Toshi: Thanks a lot, and yay for use of patch queues. That seriously helps a lot.

Felix: I figured as much.

I'll try to get Toshi's version to run; any plans on merging it with the upcoming 1.0.2? I see a bunch of trunk merges already, which is also awesome to

work with.

#14 - 2010-09-22 16:52 - Toshi MARUYAMA

Moritz Voss wrote:

Toshi: Thanks a lot, and yay for use of patch queues. That seriously helps a lot.

Felix: I figured as much.

I'll try to get Toshi's version to run; any plans on merging it with the upcoming 1.0.2? I see a bunch of trunk merges already, which is also

awesome to work with.

 Thanks.

MQ is not mine, it is Yuya's.

Please refer note-120 of #4455 for how to apply MQ to 1.0 stable or svn trunk.
Yuya's full MQ have some issues.

http://bitbucket.org/yuja/redmine-mq-issue4455/issues?status=new&status=open

Please feedback to #4455 or bitbucket BTS.

#15 - 2011-01-04 06:03 - Toshi MARUYAMA

- Category set to SCM

- Status changed from Resolved to Closed

- Resolution set to Duplicate
